%{?nodejs_find_provides_and_requires}

%global packagename lie
%global enable_tests 1

Name: nodejs-%{packagename}
Version: 3.1.0
Release: 1%{?dist}.3
Summary: A basic but performant promise implementation
License: MIT
URL: https://github.com/calvinmetcalf/lie
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1: tests-%{version}.tar.bz2
Source10: dl-tests.sh

BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
BuildRequires: npm(immediate) >= 3.0.5
BuildRequires: npm(immediate) < 3.1.0
%if 0%{?enable_tests}
BuildRequires: npm(mocha) >= 1.18.0
BuildRequires: npm(promises-aplus-tests)
%endif

%description
lie a small, performant, promise library implementing the
Promises/A+ spec Version 1.1.


%prep
%setup -q -n package
%setup -q -T -D -a 1 -n package
%nodejs_fixdep --dev mocha '>=1.18.0'


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr *.json *.js lib dist \
        %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha ./test/cover.js
%endif


%files
%license license.md
%doc README.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Fri Sep 23 2016 Oleg Girko <ol@infoserver.lv> - 3.1.0-1
- Initial package.
